package com.hzya.frame.plugin.cinvoice.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.plugin.cinvoice.entity.CInvoiceImportHEntity;

import java.util.List;

/**
 * @Description 发票批量导入有度税务 表头service
 * @Author xiangerlin
 * @Date 2025/4/18 15:34
 **/
public interface ICInvoiceImportHService extends IBaseService<CInvoiceImportHEntity, String> {

    /**
     * 查询发票列表
     * @param entity
     * @return
     * @throws Exception
     */
    List<CInvoiceImportHEntity> queryInvoiceList(CInvoiceImportHEntity entity) throws Exception;

    /**
     * 更新有度导入接口返回的id
     * @param entity
     * @return
     */
    int updateResultId(CInvoiceImportHEntity entity);

    /**
     * 更新推送标记
     * @param entity
     * @return
     */
    int updateStatus(CInvoiceImportHEntity entity);
}
